---
name: Bug report
about: Create a report to help us improve
labels: bug

---

## Current behavior
<!--  Describe the current behavior pointing exactly why it's not working as intended. -->



## Expected behavior
<!-- Describe what the desired behavior should be. -->



## Steps to reproduce the issue
<!--
Please provide the steps to reproduce and if possible a *minimal reproducible example* of the problem via
https://stackblitz.com or with a screenshot if it's more accurate.
 -->



## Repository
<!-- If possible, share a repository link where this problem occurs -->



## Can you handle fixing this bug by yourself?

- [ ] YES
- [ ] NO

## Which [Release Cycle](https://docs.vuestorefront.io/guide/basics/release-cycle.html) state this refers to? Info for developer.
Pick one option.

- [ ] This is a bug report for test version on https://test.storefrontcloud.io - In this case Developer should create branch from `develop` branch and create Pull Request `2. Feature / Improvement` back to `develop`.
- [ ] This is a bug report for current Release Candidate version on https://next.storefrontcloud.io - In this case Developer should create branch from `release` branch and create Pull Request `3. Stabilisation fix` back to `release`.
- [ ] This is a bug report for current Stable version on https://demo.storefrontcloud.io and should be placed in next stable version hotfix - In this case Developer should create branch from `hotfix` or `master` branch and create Pull Request `4. Hotfix` back to `hotfix`.

## Environment details
<!-- Please provide all the informations required below. -->
- Browser: <!-- Your browser, version -->
- OS: <!-- Your operating system, version -->
- Node: <!-- Version of Node.js used to run the project -->
- Code Version: <!-- Tag, branch or commit determining which version of code is used -->

## Additional information
<!-- If you think that any additional information would be useful, please provide them here. -->

